Download it now!
Bug 88490 - function CELL() errors - date, currency,coord InfoType
Summary: function CELL() errors - date, currency,coord InfoType
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2015-01-16 10:55 UTC by raal
Modified: 2019-12-03 14:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testing file (31.95 KB, application/zip)
2015-01-16 10:55 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-01-16 10:55:24 UTC
Created attachment 112335 [details]
testing file

During creating of tests for bug 43534 (EDITING: CELL doesn't support external references.) I found following errors in CELL function:

Steps to reproduce:
 - unzip attachment 
 - open file fdo43534test.ods

 Actual results (cells in red color):
 cell C3 - external reference lead to DATE format, function returns " number without thousands separator"
 cell B6 - the same as C3 but local reference - DATE format, function returns " All other formats"
 cell E3 - external reference lead to CURRENCY format, function returns "number without thousands separator"
 cell G3 - for infotype “COORD” returns ERR504 in external references

Expected results
C3 returns D1
B6 returns D1
E3 returns C2-  (as local reference in A6)
G3 returns $A:$A$3 (as local reference in C6)

see https://help.libreoffice.org/Calc/Information_Functions#CELL
Comment 1 Buovjaga 2015-01-17 14:57:14 UTC
Confirmed results.

Win 7 Pro 64-bit, LibO Version: 4.4.0.2
Build ID: a3603970151a6ae2596acd62b70112f4d376b99

Version: 4.5.0.0.alpha0+
Build ID: 5f6bdce0c0ac687f418821ce328f2987bf340cda
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-17_01:06:46

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 0ffa3abc7d6c0437ece30cfb1430d28ffcc9f5c1
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-15_22:47:16
Comment 2 QA Administrators 2016-02-21 08:34:22 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 14:53:54 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:30:19 UTC
Dear raal,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug